Net::SSH2::PublicKey(3pm)

NAME
Net::SSH2::PublicKey - SSH 2 public key object

DESCRIPTION
   *** WARNING: public key functionality in libssh2 is experimental
   *** and mostly abandoned. Don't expect anything on this module to
   *** work correctly.

A public key object is created by the Net::SSH2 "public_key" method.

METHODS

  add ( name, blob, overwrite flag, attributes... )
Adds a new public key; attributes is a list of hashes with "name", "value", and "mandatory" keys; mandatory defaults to false and value to empty.

  remove ( name, blob )
Remove the given public key.

  fetch
Returns a list of public keys in array context (count in scalar context); each item is a hash with keys "name", "blob", and "attr", with the latter being a hash with "name", "value", and "mandatory" keys.

SEE ALSO
Net::SSH2.